This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 68889 - suboptimum moc symlinks when qt2 and at3 are installed
suboptimum moc symlinks when qt2 and at3 are installed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: qt2 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-15 15:16 EDT by Alexander Stohr
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-03 05:28:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Stohr 2002-07-15 15:16:37 EDT
Description of Problem:
the symlinks to moc are setup suboptimal

Version-Release number of selected component (if applicable):
qt2 & qt3 with moc2 and moc3

How Reproducible:
install both components

Steps to Reproduce:
1. install moc of qt2
2. install moc of qt3
3. do a "ls -l /usr/bin/moc*"

Actual Results:
moc -> ../lib/qt3-gcc2.96/bin/moc
moc2 -> ../lib/qt2/bin/moc
moc3 -> moc

Expected Results:
moc -> moc3
moc2 -> ../lib/qt2/bin/moc
moc3 -> ../lib/qt3-gcc2.96/bin/moc

Additional Information:
I think the "moc" symlink should point to the default  (either moc2 or moc3)
and the "moc3" must always point to a moc 3 release.
Consider this as a cleanup in the tools system.
Comment 1 Ngo Than 2005-03-03 05:28:08 EST
qt2 is no longer in FC. this old bug can be closed as fixed in current release

Note You need to log in before you can comment on or make changes to this bug.